const openMenu = document.querySelector('.menu');
const sidebarMode = document.querySelector('.sidebar');
const sidebarLink = document.querySelectorAll('.navbar_mode');

openMenu.addEventListener('click', () => {
	sidebarMode.classList.toggle("nav-active");
	openMenu.classList.toggle("toggle");
});

const dropdn = document.querySelectorAll('.navbar_link');

for (let i = 0; i < dropdn.length; i++) {
	dropdn[i].addEventListener("click", function () {
		dropdn[i].classList.toggle("dropdown");
	});
}

const scrollMap = document.querySelector('.scroll');

lastScrollTop = 0;

window.addEventListener("scroll", () => {
	const scrollTop = window.pageYOffset || document.createElement.scrollTop;
	if (scrollTop > lastScrollTop) {
		scrollMap.style.top = "-50%";
		sidebarMode.classList.remove("nav-active");
		openMenu.classList.remove("toggle");
	} else {
		scrollMap.style.top = "0";
	}
	lastScrollTop = scrollTop;
});